require(plyr)
library(ppcor)

##########create results of table 2 in SI section 6.
data<-read.csv2("data_weather.csv",header=TRUE)
data1<-subset(data, data$DIK2<=75)
data1<-subset(data1,data1$CityName != "Beijing")

data1$SCT<-as.Date(data1$SCT)
## remove three days of Chinese spring festival
data1<-subset(data1,data1$SCT<="2013-02-08"|data1$SCT>="2013-02-12")

func1 <- function(data1) { COR <- pcor.test(log(data1$dailyincome), data1$DIK2, data1[,c("CloudCover")]); return(data.frame(Correlation=COR$estimate, pvalue=COR$p.value,Tvalue=COR$statistic,samplesize=nrow(data1[data1$DIK2<=60,]),latitude=mean(data1$latitude), longitude=mean(data1$longitude),mean(data1$Min.TemperatureC),min(data1$Min.TemperatureC))) }
corresult<-ddply(data1,.(CityName),func1)
a<-(corresult[order(-corresult$Correlation),]) 
a$Correlation[a$pvalue>0.05]<-0
View(a)

##########create results of table 1 in SI section 5.
data1<-subset(data, data$DIK2>60)
data1<-subset(data1,data1$CityName != "Beijing")

data1$SCT<-as.Date(data1$SCT)
## remove three days of Chinese spring festival
data1<-subset(data1,data1$SCT<="2013-02-08"|data1$SCT>="2013-02-12")

func1 <- function(data1) { COR <- pcor.test(log(data1$dailyincome), data1$DIK2, data1[,c("CloudCover")]); return(data.frame(Correlation=COR$estimate, pvalue=COR$p.value,Tvalue=COR$statistic,samplesize=nrow(data1[data1$DIK2<=60,]),latitude=mean(data1$latitude), longitude=mean(data1$longitude),mean(data1$Min.TemperatureC),min(data1$Min.TemperatureC))) }
corresult<-ddply(data1,.(CityName),func1)
a<-(corresult[order(-corresult$Correlation),]) 
View(a)
